<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('refine_settings', function (Blueprint $table) {
            $table->integer('min_success_level')->default(1)->after('filter_mode');
            $table->integer('discord_min_success_level')->default(1)->after('discord_filter_mode');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('refine_settings', function (Blueprint $table) {
            $table->dropColumn('min_success_level');
            $table->dropColumn('discord_min_success_level');
        });
    }
};
